%define debug_package %{nil}

Name:        frostwire
Version:     6.2.4
Release:     1%{?dist}
Summary:     Media player and Peer to Peer
Group:       Applications/Multimedia
License:     GPLv2
URL:         http://www.frostwire.com/
Source:	     https://sourceforge.net/projects/frostwire/files/FrostWire%206.x/%{version}/frostwire-%{version}.noarch.tar.gz
Source2:     http://sourceforge.net/projects/postinstaller/files/Source%20Code/frostwire_icons.tar.bz2
BuildRequires:	tar
Requires:    java >= 1.6
Requires:    mplayer
Obsoletes:   %name < %version

%description
FrostWire is a java gnutella P2P client.


%prep
%setup -n %name-%version.noarch

tar --bzip2 -xf %SOURCE2

%build


%install

rm -rf %{buildroot}
install -dm 755 %{buildroot}/%{_libdir}/
install -dm 755 %{buildroot}/%{_datadir}/%{name}
install -dm 755 %{buildroot}/%{_datadir}/icons/hicolor/16x16/apps/ 
install -dm 755 %{buildroot}/%{_datadir}/pixmaps
install -dm 755 %{buildroot}/%{_datadir}/applications/
install -dm 755 %{buildroot}/%{_datadir}/licenses/%{name}/
install -dm 755 %{buildroot}/%{_bindir}/
install -dm 755 %{buildroot}/%{_datadir}/doc/%{name}/
#icons
install -m 644 frostwire-16.png %buildroot/%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -m 644 frostwire-32.png %buildroot/%{_datadir}/icons/%{name}.png
install -m 644 frostwire-48.png %buildroot/%_datadir/pixmaps/%{name}.png

install -m 0644 frostwire.jar %{buildroot}/%{_datadir}/%{name}/
install -m 0644 VERSION %{buildroot}/%{_datadir}/%{name}/
install -m 0644 frostwire.desktop $RPM_BUILD_ROOT%{_datadir}/applications/


#make Excutable
cat > $RPM_BUILD_ROOT%{_bindir}/%{name} << EOF
cd %{_datadir}/%{name}
java -jar frostwire.jar
cd ..
EOF

chmod a+x %{buildroot}/%{_bindir}/%{name}

%ifarch x86_64 
install -m 0644 libjlibtorrent.so %{buildroot}/%{_libdir}/
ln -sf %{_libdir}/libjlibtorrent.so %{buildroot}/%{_datadir}/%{name}/
%else
install -m 0644 libjlibtorrentx86.so %{buildroot}/%{_libdir}/
ln -sf %{_libdir}/libjlibtorrentx86.so %{buildroot}/%{_datadir}/%{name}/
%endif

install -m 0644 COPYING  %{buildroot}/%{_datadir}/licenses/%{name}/
install -m 0644 EULA.txt  %{buildroot}/%{_datadir}/licenses/%{name}/
install -m 0644 changelog  %{buildroot}/%{_datadir}/doc/%{name}/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,0755)
%_bindir/frostwire
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/%{name}.png
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%ifarch x86_64 
%{_libdir}/libjlibtorrent.so
%else
%{_libdir}/libjlibtorrentx86.so
%endif
%{_datadir}/doc/frostwire/changelog
%{_datadir}/licenses/frostwire/

%changelog

* Thu May 26 2016 David Vásquez <davidjeremias82 AT gmail DOT com> - 6.2.4-1
- Updated to 6.2.4

* Wed Mar 30 2016 David Vásquez <davidjeremias82 AT gmail DOT com> - 6.2.2-1
- Updated to 6.2.2

* Sat Jul 05 2014 David Vásquez <davidjeremias82@ dat com> 5.7.3-1
- updated to 5.7.3

* Tue Feb 04 2014 David Vásquez <davidjeremias82 at gmail dot com> 5.7.0-1
- Update to 5.7.0
